import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/wms_item';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '批次号',
    dataIndex: 'SUPP_LOTNO',
    width:120,
    sorter: true,
    resizable:true
  },
  {
    title: '仓库',
    dataIndex: 'WH_CODE',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '储位',
    dataIndex: 'LOCATION_CODE',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '物料代码',
    dataIndex: 'ITEM_CODE',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: '物料名称',
    dataIndex: 'ITEM_NAME',
    width: 300,
    sorter: true,
    resizable:true
  },
  {
    title: '数量',
    dataIndex: 'ZK_QTY',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '单位',
    dataIndex: 'UNIT',
    width:100,
    resizable:true
  },
  {
    title: '入库时间',
    dataIndex: 'FIRST_IN_DATE',
    width:100,
    resizable:true
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'WH_CODE',
    label: '仓库',
    component: 'Input',
    colProps: { span: 8 },
  },
 
  {
    field: 'ITEM_CODE',
    label: '物料代码',
    component: 'Input',
    colProps: { span: 8 },
  }
];
